Introduction
    Authentication
    Errors
    Expanding Responses
    Idempotent requests
    Include-dependent response values (API v2)
    Metadata
    Pagination
    Request IDs
    Connected Accounts
    Versioning
Core Resources
    Accountsv2
    Account Linksv2
    The AccountLink objectv2Create an Account Linkv2
    US Bank Accountsv2
    GB Bank Accountsv2
    Balance
    Balance Transactions
    Charges
    Customers
    Customer Session
    Disputes
    Events
    Eventsv2
    Event Destinationsv2
    Files
    File Links
    Mandates
    Payment Intents
    Personsv2
    Setup Intents
    Setup Attempts
    Off Session Paymentsv2
    Payouts
    Refunds
    Confirmation Token
    Tokens
Payment Methods
    Payment Methods
    Payment Method Configurations
    Payment Method Domains
    Bank Accounts
    Cash Balance
    Cash Balance Transaction
    Cards
    Sources
Money Management
    Adjustmentsv2
    Financial Accountsv2
    Financial Addressesv2
    Inbound Transfersv2
    Outbound Paymentsv2
    Outbound Payment Quotesv2
    Outbound Setup Intentsv2
    Outbound Transfersv2
    Payout Methodsv2
    Payout Methods Bank Account Specsv2
    Received Creditsv2
    Received Debitsv2
    Transactionsv2
    Transaction Entriesv2
Products
    Products
    Prices
    Coupons
    Promotion Code
    Discounts
    Tax Code
    Tax Rate
    Shipping Rates
Checkout
    Checkout Sessions
Payment Links
    Payment Link
Billing
    Credit Note
    Customer Balance Transaction
    Customer Portal Session
    Customer Portal Configuration
    Invoices
    Invoice Items
    Invoice Line Item
    Invoice Payment
    Invoice Rendering Templates
    Alerts
    Meters
    Meter Events
    Meter Eventsv2
    Meter Event Adjustment
    Meter Event Adjustmentsv2
    Meter Event Streamsv2
    Meter Event Summary
    Credit Grant
    Credit Balance Summary
    Credit Balance Transaction
    Plans
    Quote
    Subscriptions
    Subscription Items
    Subscription Schedule
    Tax IDs
    Test Clocks
Capital
    Financing Offer
    Financing Summary
Connect
    Accounts
    Login Links
    Account Links
    Account Session
    Application Fees
    Application Fee Refunds
    Capabilities
    Country Specs
    Balance Settings
    External Bank Accounts
    External Account Cards
    Person
    Top-ups
    Transfers
    Transfer Reversals
    Secrets
Fraud
Issuing
Terminal
Treasury
Payment Records
Entitlements
Sigma
Reporting
Financial Connections
Tax
Identity
Crypto
Climate
Forwarding
Privacy
Webhooks
  • 2025-06-30.preview
  • API Reference
  • Docs
  • Support
  • Sign in →

Account Links v2

AccountLinks are the means by which a Merchant grants an Account permission to access Stripe-hosted applications, such as Recipient Onboarding. This API is only available for users enrolled in the public preview for Global Payouts.

Learn more about calling API v2 endpoints.
Endpoints
    POST/v2/core/account_links

The AccountLink object

Attributes

  • objectstring, value is "v2.core.account_link"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • accountstring

    The ID of the Account the link was created for.

  • createdtimestamp

    The timestamp at which this AccountLink was created.

  • expires_attimestamp

    The timestamp at which this AccountLink will expire.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • urlstring

    The URL for the AccountLink.

  • use_caseobject

    The use case of AccountLink the user is requesting.

The AccountLink object
{
"object": "v2.core.account_link",
"account": "acct_1Nv0FGQ9RKHgCVdK",
"created": "2025-03-27T17:15:18.000Z",
"expires_at": "2025-03-27T17:25:18.000Z",
"url": "https://accounts.stripe.com/r/acct_1Nv0FGQ9RKHgCVdK#alu_test_61SGhyomRuz7xsw5216SGhyj0ASQdCLwMKdRUF3mi3H6",
"use_case": {
"account_onboarding": {
"configurations": [
"recipient"
],
"refresh_url": "https://example.com/reauth",
"return_url": "https://example.com/return"
},
"type": "account_onboarding"
}
}

Create an Account Link v2

Creates an AccountLink object that includes a single-use Stripe URL that the merchant can redirect their user to in order to take them to a Stripe-hosted application such as Recipient Onboarding.

Learn more about calling API v2 endpoints.

Parameters

  • accountstringRequired

    The ID of the Account to create link for.

  • use_caseobjectRequired

    The use case of the AccountLink.

Returns

Response attributes

  • objectstring, value is "v2.core.account_link"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • accountstring

    The ID of the Account the link was created for.

  • createdtimestamp

    The timestamp at which this AccountLink was created.

  • expires_attimestamp

    The timestamp at which this AccountLink will expire.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • urlstring

    The URL for the AccountLink.

  • use_caseobject

    The use case of AccountLink the user is requesting.

Error Codes
404not_found

The resource wasn’t found.

POST /v2/core/account_links
curl -X POST https://api.stripe.com/v2/core/account_links \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-06-30.preview" \
--json '{
"account": "acct_1Nv0FGQ9RKHgCVdK",
"use_case": {
"type": "account_onboarding",
"account_onboarding": {
"configurations": [
"recipient"
],
"return_url": "https://example.com/return",
"refresh_url": "https://example.com/reauth"
}
}
}'
Response
{
"object": "v2.core.account_link",
"account": "acct_1Nv0FGQ9RKHgCVdK",
"created": "2025-03-27T17:15:18.000Z",
"expires_at": "2025-03-27T17:25:18.000Z",
"livemode": true,
"url": "https://accounts.stripe.com/r/acct_1Nv0FGQ9RKHgCVdK#alu_test_61SGhyomRuz7xsw5216SGhyj0ASQdCLwMKdRUF3mi3H6",
"use_case": {
"account_onboarding": {
"configurations": [
"recipient"
],
"refresh_url": "https://example.com/reauth",
"return_url": "https://example.com/return"
},
"type": "account_onboarding"
}
}
  • Need help? Contact Support.
  • Check out our changelog.
  • Questions? Contact Sales.
  • LLM? Read llms.txt.
  • Powered by Markdoc